Subject: Re: bug#47860: 28.0.50; Mini buffer resize when lines are truncated regression

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Apr 2021 17:48:40 +0300

> From: Aaron Jensen <[email-masked]>
> Date: Mon, 19 Apr 2021 09:02:24 -0500
> Cc: Gregory Heytings <[email-masked]>, [email-masked]
> 
> > IOW, given that the current code does "somewhat" better than
> > everything we had before, what exactly is the problem you (Aaron) see
> > with the offending commit that you call it "regression"?
> 
> I have not tested with Emacs 27.

Not just 27, 27 and all the previous versions.

> I have, however, tested with Emacs 28
> with and without the commit I mentioned.
> 
> With the commit reverted, I see this:
> 
> https://cln.sh/sNpBcb
> 
> Without it reverted, I see this:
> 
> https://cln.sh/RtPEie
> 
> What I expect is for the minibuffer to be sized as the first example
> and not the second.

So you have a package (or two?) that work(s) only with an unreleased
codebase of Emacs 28 before those two commits were installed?  How
do those packages work in Emacs 27 and previous versions?

> This is what it looks like when using selectrum in Emacs 27:
> 
> https://user-images.githubusercontent.com/8199224/114367956-3f4a8e00-9b7d-11eb-8307-5372fb48de63.png
> 
> and Emacs 28:
> 
> https://user-images.githubusercontent.com/8588/114411541-e1fd0f80-9b71-11eb-8ba3-5bf1437a7806.png

That looks like an entirely different phenomenon than the one
presented by the minimal reproducer.  Are you sure that the reproducer
actually shows the same problem?

Bottom line, I'm now even more confused regarding the problem and the
effect of the 2 commits you reverted.  Reverting them should get you
back to what we had in Emacs 27 and before, but you say it doesn't?
And the effect on selectrum is very different than the effect on the
reproducer you posted.